Package org.optaplanner.core.impl.phase.custom.scope

## Class CustomPhaseScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractPhaseScope<Solution_>
  - - org.optaplanner.core.impl.phase.custom.scope.CustomPhaseScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class CustomPhaseScope<Solution_>
      extends AbstractPhaseScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

      `bestSolutionStepIndex, childThreadsScoreCalculationCount, endingScoreCalculationCount, endingSystemTimeMillis, logger, solverScope, startingScore, startingScoreCalculationCount, startingSystemTimeMillis`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CustomPhaseScope​(DefaultSolverScope<Solution_> solverScope)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CustomStepScope<Solution_>` | `getLastCompletedStepScope()` |
    `void` | `setLastCompletedStepScope​(CustomStepScope<Solution_> lastCompletedStepScope)` |

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

      `addChildThreadsScoreCalculationCount, assertExpectedWorkingScore, assertPredictedScoreFromScratch, assertShadowVariablesAreNotStale, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpentUpToNow, calculateScore, calculateSolverTimeMillisSpentUpToNow, endingNow, getBestScore, getBestSolutionStepIndex, getEndingSystemTimeMillis, getNextStepIndex, getPhaseBestSolutionTimeMillis, getPhaseScoreCalculationCount, getPhaseScoreCalculationSpeed, getPhaseTimeMillisSpent, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, startingNow, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomPhaseScope

          public CustomPhaseScope​(DefaultSolverScope<Solution_> solverScope)

  - ### Method Detail

    - #### getLastCompletedStepScope

          public CustomStepScope<Solution_> getLastCompletedStepScope()

      Specified by:
        `getLastCompletedStepScope` in class `AbstractPhaseScope<Solution_>`

    - #### setLastCompletedStepScope

          public void setLastCompletedStepScope​(CustomStepScope<Solution_> lastCompletedStepScope)